- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- VpnGatewayStatus
- VpnConnection
- Tunnel
- HighAvailabilityRequirementState
- State
- HighAvailabilityRedundancyCriteriaUnsatisfiedReason
- Try it!
Returns the status for the specified VPN gateway.
HTTP request
GET https://compute.s3nsapis.fr/compute/v1/projects/{project}/regions/{region}/vpnGateways/{vpnGateway}/getStatus The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
region |
Name of the region for this request. |
vpnGateway |
Name of the VPN gateway to return. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"result": {
object ( |
| Fields | |
|---|---|
result |
|
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.vpnGateways.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.
VpnGatewayStatus
| JSON representation |
|---|
{
"vpnConnections": [
{
object ( |
| Fields | |
|---|---|
vpnConnections[] |
Output only. vpnGateways.list of VPN connection for this VpnGateway. |
VpnConnection
A VPN connection contains all VPN tunnels connected from this VpnGateway to the same peer gateway. The peer gateway could either be an external VPN gateway or a Cloud de Confiance VPN gateway.
| JSON representation |
|---|
{ "peerExternalGateway": string, "peerGcpGateway": string, "tunnels": [ { object ( |
| Fields | |
|---|---|
peerExternalGateway |
Output only. URL reference to the peer external VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peerGcpGateway. |
peerGcpGateway |
Output only. URL reference to the peer side VPN gateways to which the VPN tunnels in this VPN connection are connected. This field is mutually exclusive with peerGcpGateway. |
tunnels[] |
vpnGateways.list of VPN tunnels that are in this VPN connection. |
state |
HighAvailabilityRequirementState for the VPN connection. |
Tunnel
Contains some information about a VPN tunnel.
| JSON representation |
|---|
{ "localGatewayInterface": integer, "peerGatewayInterface": integer, "tunnelUrl": string } |
| Fields | |
|---|---|
localGatewayInterface |
Output only. The VPN gateway interface this VPN tunnel is associated with. |
peerGatewayInterface |
Output only. The peer gateway interface this VPN tunnel is connected to, the peer gateway could either be an external VPN gateway or a Cloud de Confiance VPN gateway. |
tunnelUrl |
Output only. URL reference to the VPN tunnel. |
HighAvailabilityRequirementState
Describes the high availability requirement state for the VPN connection between this Cloud VPN gateway and a peer gateway.
| JSON representation |
|---|
{ "state": enum ( |
| Fields | |
|---|---|
state |
Indicates the high availability requirement state for the VPN connection. Valid values are
,
. |
unsatisfiedReason |
Indicates the reason why the VPN connection does not meet the high availability redundancy criteria/requirement. Valid values is
. |
State
| Enums | |
|---|---|
CONNECTION_REDUNDANCY_MET |
VPN tunnels are configured with adequate redundancy from Cloud VPN gateway to the peer VPN gateway. For both GCP-to-non-GCP and GCP-to-GCP connections, the adequate redundancy is a pre-requirement for users to get 99.99% availability on GCP side; please note that for any connection, end-to-end 99.99% availability is subject to proper configuration on the peer VPN gateway. |
CONNECTION_REDUNDANCY_NOT_MET |
VPN tunnels are not configured with adequate redundancy from the Cloud VPN gateway to the peer gateway |
HighAvailabilityRedundancyCriteriaUnsatisfiedReason
| Enums | |
|---|---|
INCOMPLETE_TUNNELS_COVERAGE |
|